Bug 51560 - [PATCH] Merge <servicehelper> from included config file
Summary: [PATCH] Merge <servicehelper> from included config file
Status: RESOLVED FIXED
Alias: None
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: unspecified
Hardware: All All
: medium normal
Assignee: Havoc Pennington
QA Contact: John (J5) Palmieri
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-29 05:43 UTC by Krzysztof Konopko
Modified: 2013-08-22 19:12 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Proposed patch (1.25 KB, patch)
2012-06-29 05:43 UTC, Krzysztof Konopko
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof Konopko 2012-06-29 05:43:34 UTC
Created attachment 63611 [details] [review]
Proposed patch

<servicehelper> is not supported in the included config file, i. e. it's not merged in merge_included().

There's clearly no reason it shouldn't be supported in the included config file along with <user>, <type> and others. It's quite reasonable for a client willing to override the default servicehelper, e. g. in system-local.conf.
Comment 1 Krzysztof Konopko 2013-01-02 14:05:52 UTC
Is there anything that stops my proposed patch from being pulled into trunk?
Comment 2 Simon McVittie 2013-08-22 19:11:08 UTC
I don't think it's sensible to override the service launching helper (which is security-sensitive and does not have a "public API"), but for completeness, OK.
Comment 3 Simon McVittie 2013-08-22 19:12:28 UTC
Looks like I merged this already, in fact. Fixed in git for 1.7.0


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.